Skip to main content

Spot Account Orders

Subscribe

{
"method": "SUBSCRIPTION",
"params": [
"spot@private.orders.v3.api.pb"
]
}

Request Parameters spot@private.orders.v3.api.pb

Response Parameters

ParameterData TypeDescription
symbolstringTrading pair
sendTimelongEvent time
privateOrdersjsonAccount order information
clientIdstringOrder ID
pricebigDecimalOrder price
quantitybigDecimalOrder quantity
amountbigDecimalTotal order amount
avgPricebigDecimalAverage trade price
orderTypeintOrder type: LIMIT_ORDER (1), POST_ONLY (2), IMMEDIATE_OR_CANCEL (3), FILL_OR_KILL (4), MARKET_ORDER (5); Stop loss/take profit (100)
tradeTypeintTrade type (1: Buy, 2: Sell)
remainAmountbigDecimalRemaining amount
remainQuantitybigDecimalRemaining quantity
cumulativeQuantitybigDecimalCumulative trade quantity
cumulativeAmountbigDecimalCumulative trade amount
statusintOrder status: 1: Not traded, 2: Fully traded, 3: Partially traded, 4: Canceled, 5: Partially canceled
createTimelongOrder creation time

Sample data

{
"channel": "spot@private.orders.v3.api.pb",
"symbol": "MXUSDT",
"sendTime": 1736417034281,
"privateOrders": {
"clientId": "C02__505979017439002624115",
"price": "3.5121",
"quantity": "1",
"amount": "0",
"avgPrice": "3.6962",
"orderType": 5,
"tradeType": 2,
"remainAmount": "0",
"remainQuantity": "0",
"lastDealQuantity": "1",
"cumulativeQuantity": "1",
"cumulativeAmount": "3.6962",
"status": 2,
"createTime": 1736417034259
}
}